[#ftl]
[#list configs as dt]
[#assign data = dt]
[#assign peripheralParams = dt.peripheralParams]
[#assign peripheralGPIOParams = dt.peripheralGPIOParams]
[#assign peripheralDMAParams = dt.peripheralDMAParams]
[#assign peripheralNVICParams = dt.peripheralNVICParams]
[#assign usedIPs = dt.usedIPs]
[#assign ipsInfoPerContext = dt.ipsInfoPerContext]
[#-- *** provide a flag for peripherals with multiple instances. e.g.: ADC1, ADC2, ... *** --]
[#assign adc_hal=false adc_ll=false]
[#assign cec_hal=false]
[#assign comp_hal=false comp_ll=false]
[#assign cryp_hal=false]
[#assign dac_hal=false dac_ll=false]
[#assign dma_hal=false dma_ll=false]
[#assign fdcan_hal=false]
[#assign fmc_nor_hal=false fmc_nand_hal=false fmc_pccard_Hal=false fmc_sram_hal=false fmc_sdram_hal=false]
[#assign gpio_hal=false gpio_ll=false]
[#assign gtzc_hal=false]
[#assign hsem_hal=false]
[#assign i2c_hal=false i2c_ll=false smbus_hal=false]
[#assign i3c_hal=false i3c_ll=false]
[#assign i2s_hal=false]
[#assign iwdg_hal=false]
[#assign lptim_hal=false lptim_ll=false]
[#assign lpuart_ll=false]
[#assign opamp_hal=false opamp_ll=false]
[#assign sai_hal=false sd_hal=false]
[#assign spi_hal=false spi_ll=false]
[#assign tim_hal=false tim_ll=false]
[#assign usart_hal=false usart_ll=false uart_hal=false irda_hal=false smartcard_hal=false]
[#assign usb_pcd_hal=false usb_hcd_hal=false]
[#assign wwdg_hal=false]
[#assign timebase_tim = false]
[#if timeBaseSource?? && timeBaseSource!="SysTick"]
[#assign timebase_tim = true]
[/#if]
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- ******************************************************************************
 * File Name   : FrameworkCubeMX.gpdsc
 * Date        : ${date}
 * Description : Generator PDSC File generated by STM32CubeMX (DO NOT EDIT!)
 ****************************************************************************** -->

<package xmlns:xs="http://www.w3.org/2001/XMLSchema-instance" schemaVersion="1.0" xs:noNamespaceSchemaLocation="PACK.xsd">
  <vendor>Keil</vendor>
  <name>FrameworkCubeMX</name>
  <description>STM32CubeMX generated pack description</description>
  <url>project-path</url>
  <releases>
    <release version="1.0.0">
     - Generated: ${date}
    </release>
  </releases>
  <generators>
    <generator id="STM32CubeMX" Gvendor="STMicroelectronics" Gtool="STM32CubeMX" Gversion="6.4.0">
      <description>STM32CubeMX Environment</description>
      <select Dname="${(dt.device)}" Dvendor="STMicroelectronics:13"/>
      <workingDir>$PBoard/$B/STM32CubeMX</workingDir>               <!-- path is specified either absolute or relative to PDSC or GPDSC file -->
      <exe>
        <command>$SMDK/CubeMX/STM32CubeMxLauncher.exe</command>
        <argument>$D</argument>                                     <!-- D = Device (Dname/Dvariant as configured by environment) -->
        <argument>#P</argument>                                     <!-- Project path and project name (as configured by environment) -->
        <argument>$SMDK/CubeMX/noTZ</argument>                      <!-- absolute or relative to ftl templates. $S = Device Family Pack base folder -->
        <argument>$B</argument>                                     <!-- B = Board name -->
      </exe>
      <project_files>
        <file category="include" name="Inc/"/>
        <file category="source" name="Src/main.c"/>
        <file category="header" name="Inc/stm32wbaxx_it.h"/>
        <file category="source" name="Src/stm32wbaxx_it.c"/>
        <file category="other" name="STM32CubeMX.ioc"/>
      </project_files>
    </generator>
  </generators>
  <taxonomy>
    <description Cclass="Device" Cgroup="STM32Cube Framework" generator="STM32CubeMX">STM32Cube Framework</description>
  </taxonomy>
  <conditions>
    <condition id="STCubeMX">
      <description>Condition to include CMSIS core and Device Startup components</description>
      <require Dvendor="STMicroelectronics:13" Dname="STM32WBA*"/>
      <require Cclass="CMSIS"  Cgroup="CORE"          Csub=""/>
      <require Cclass="Device" Cgroup="Startup"/>
      [#if peripheralParams.get("RCC")??]
      [#if peripheralParams.get("RCC").get("driver") == ("HAL")]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="Common"/>
      [#else]
      <require Cclass="Device" Cgroup="STM32Cube LL" Csub="Common"/>
      [/#if]
      [/#if]
[#list usedIPs as ip]
[#list ipsInfoPerContext.entrySet() as keyElem]
[#assign context = keyElem.key]
[#list ipsInfoPerContext.get(context) as ipsInfo]
[#if ipsInfo.isinused == "true"]
[#if ipsInfo.mxipname?contains(ip)]
[#-- if (ipsInfo.mxcontextname == ("CortexM33")) || (ipsInfo.mxcontextname == ("Cortex-M33NS")) --]
[#if peripheralDMAParams.get(ip)?? && peripheralDMAParams.get(ip).entrySet()?size > 0]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !dma_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="DMA"/>
      [#assign dma_hal=true]
      [/#if]
    [#elseif !dma_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="DMA"/>
      [#assign dma_ll=true]
    [/#if]
[/#if]
[#if peripheralGPIOParams.get(ip)?? && peripheralGPIOParams.get(ip).entrySet()?size > 0]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !gpio_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="GPIO"/>
      [#assign gpio_hal=true]
      [/#if]
    [#elseif !gpio_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="GPIO"/>
      [#assign gpio_ll=true]
    [/#if]
[/#if]
[#if peripheralParams.get(ip)??]
[#-- *** peripherals which need to be checked *** --]
[#if     ip?starts_with("ADC")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !adc_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="ADC"/>
      [#assign adc_hal=true]
      [/#if]
    [#elseif !adc_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="ADC"/>
      [#assign adc_ll=true]
    [/#if]
[#elseif ip?starts_with("ADF")]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="MDF"/>
[#elseif ip?starts_with("AES")]
  [#if !cryp_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="CRYP"/>
      [#assign cryp_hal=true]
  [/#if]
[#elseif ip?starts_with("COMP")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !comp_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="COMP"/>
      [#assign comp_hal=true]
      [/#if]
    [#elseif !comp_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="COMP"/>
      [#assign comp_ll=true]
    [/#if]
[#elseif ip?starts_with("CORTEX")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="Cortex"/>
    [/#if]
[#elseif ip?starts_with("DAC")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !dac_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="DAC"/>
      [#assign dac_hal=true]
      [/#if]
    [#elseif !dac_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="DAC"/>
      [#assign dac_ll=true]
    [/#if]
[#elseif ip?starts_with("DCACHE")]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="DCACHE"/>
[#elseif ip?starts_with("FDCAN")]
      [#if !fdcan_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="FDCAN"/>
      [#assign fdcan_hal=true]
      [/#if]
[#elseif ip?starts_with("FMC")]
  [#list peripheralParams.get(ip).entrySet() as paramEntry]
  [#if paramEntry.key?starts_with("MemoryType")]
    [#if paramEntry.value?contains("NOR")]
      [#if !fmc_nor_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="NOR"/>
      [#assign fmc_nor_hal=true]
      [/#if]
    [#elseif paramEntry.value?contains("SRAM")]
      [#if !fmc_sram_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="SRAM"/>
      [#assign fmc_sram_hal=true]
      [/#if]
    [/#if]
  [#elseif paramEntry.key == "NAND_Instance"]
      [#if !fmc_nand_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="NAND"/>
      [#assign fmc_nand_hal=true]
      [/#if]
  [#elseif paramEntry.key == "PCCARD_Instance"]
    [#if !fmc_pccard_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="PC Card"/>
      [#assign fmc_pccard_hal=true]
    [/#if]
  [#elseif paramEntry.key == "SDRAM_Instance"]
    [#if !fmc_sdram_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="SDRAM"/>
      [#assign fmc_sdram_hal=true]
    [/#if]
  [/#if]
  [/#list]
[#elseif ip?starts_with("GPDMA")]
  [#if peripheralParams.get(ip).get("driver") == ("HAL")]
    [#if !dma_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="DMA"/>
      [#assign dma_hal=true]
    [/#if]
  [#elseif !dma_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="DMA"/>
      [#assign dma_ll=true]
  [/#if]
[#elseif ip?starts_with("GPIO")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !gpio_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="GPIO"/>
      [#assign gpio_hal=true]
      [/#if]
    [#elseif !gpio_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="GPIO"/>
      [#assign gpio_ll=true]
    [/#if]
[#elseif ip?starts_with("GTZC")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !gtzc_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="GTZC"/>
      [#assign gtzc_hal=true]
      [/#if]
    [/#if]
[#elseif ip?starts_with("HSEM")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !hsem_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="HSEM"/>
      [#assign hsem_hal=true]
      [/#if]
    [/#if]
[#elseif ip?starts_with("LPDMA")]
  [#if peripheralParams.get(ip).get("driver") == ("HAL")]
    [#if !dma_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="DMA"/>
      [#assign dma_hal=true]
    [/#if]
  [#elseif !dma_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="DMA"/>
      [#assign dma_ll=true]
  [/#if]
[#elseif ip?starts_with("HDMI_CEC")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !cec_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="CEC"/>
      [#assign cec_hal=true]
      [/#if]
    [/#if]
[#elseif ip?starts_with("I2C")]
    [#assign i2c_smbus=false]
    [#list peripheralParams.get(ip).entrySet() as paramEntry]
    [#if paramEntry.key?starts_with("SMBusOwnAddress")]
      [#assign i2c_smbus=true]
    [/#if]
    [/#list]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !i2c_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="I2C"/>
      [#assign i2c_hal=true]
      [/#if]
    [#elseif !i2c_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="I2C"/>
      [#assign i2c_ll=true]
    [/#if]
    [#if i2c_smbus == true]
      [#if !smbus_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="SMBUS"/>
      [#assign smbus_hal=true]
      [/#if]
    [/#if]
[#elseif ip?starts_with("I3C")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !i3c_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="I3C"/>
      [#assign i3c_hal=true]
      [/#if]
    [#elseif !i3c_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="I3C"/>
      [#assign i3c_ll=true]
    [/#if]
[#elseif ip?starts_with("I2S")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !i2s_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="I2S"/>
      [#assign i2s_hal=true]
      [/#if]
    [#elseif !spi_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="SPI"/>
      [#assign spi_ll=true]
    [/#if]
[#elseif ip?starts_with("IWDG")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !iwdg_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="IWDG"/>
      [#assign iwdg_hal=true]
      [/#if]
    [/#if]
[#elseif ip?starts_with("LPTIM")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !lptim_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="LPTIM"/>
      [#assign lptim_hal=true]
      [/#if]
    [#elseif !lptim_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="LPTIM"/>
      [#assign lptim_ll=true]
    [/#if]
[#elseif ip?starts_with("LPUART")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !uart_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="UART"/>
      [#assign uart_hal=true]
      [/#if]
    [#elseif !lpuart_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="LPUART"/>
      [#assign lpuart_ll=true]
    [/#if]
[#elseif ip?starts_with("OPAMP")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !opamp_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="OPAMP"/>
      [#assign opamp_hal=true]
      [/#if]
    [#elseif !opamp_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="OPAMP"/>
      [#assign opamp_ll=true]
    [/#if]
[#elseif ip?starts_with("OCTOSPI")]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="XSPI"/>
[#elseif ip?starts_with("OTFDEC")]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="OTFDEC"/>
[#elseif ip == "QUADSPI"]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="QSPI"/>
[#elseif ip?starts_with("SAES")]
  [#if !cryp_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="CRYP"/>
      [#assign cryp_hal=true]
  [/#if]
[#elseif ip?starts_with("SAI")]
  [#if !sai_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="SAI"/>
      [#assign sai_hal=true]
  [/#if]
[#elseif ip?starts_with("SDMMC")]
  [#if !sd_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="SD"/>
      [#assign sd_hal=true]
  [/#if]
[#elseif ip?starts_with("SDIO")]
  [#if !sd_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="SD"/>
      [#assign sd_hal=true]
  [/#if]
[#elseif ip?starts_with("SPI")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !spi_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="SPI"/>
      [#assign spi_hal=true]
      [/#if]
    [#elseif !spi_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="SPI"/>
      [#assign spi_ll=true]
    [/#if]
[#elseif ip?starts_with("SWPMI")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="SWPMI"/>
    [#else]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="SWPMI"/>
    [/#if]
[#elseif ip?starts_with("SYS")]
[#elseif ip?starts_with("TIM")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !tim_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="TIM"/>
      [#assign tim_hal=true]
      [/#if]
    [#elseif !tim_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="TIM"/>
      [#assign tim_ll=true]
    [/#if]
[#elseif ip?starts_with("UART")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
    [#assign irda_pm=false]
    [#list peripheralParams.get(ip).entrySet() as paramEntry]
    [#if paramEntry.key?starts_with("PowerMode")]
      [#if paramEntry.value?starts_with("IRDA")]
        [#assign irda_pm=true]
        [#if !irda_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="IRDA"/>
        [#assign irda_hal=true]
        [/#if]
      [/#if]
    [/#if]
    [/#list]
    [#if irda_pm == false]
      [#if !uart_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="UART"/>
        [#assign uart_hal=true]
      [/#if]
    [/#if]
    [#else]
      [#if !usart_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL" Csub="USART"/>
        [#assign usart_ll=true]
      [/#if]
    [/#if]
[#elseif ip?starts_with("USART")]
  [#if peripheralParams.get(ip).get("driver") == ("HAL")]
    [#list peripheralParams.get(ip).entrySet() as paramEntry]
    [#if paramEntry.key?starts_with("VirtualMode")]
      [#if paramEntry.value == "VM_IRDA"]
      [#if !irda_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="IRDA"/>
      [#assign irda_hal=true]
      [/#if]
      [#elseif paramEntry.value == "VM_SMARTCARD"]
      [#if !smartcard_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="Smartcard"/>
      [#assign smartcard_hal=true]
      [/#if]
      [#elseif paramEntry.value == "VM_SYNC"]
      [#if !usart_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="USART"/>
      [#assign usart_hal=true]
      [/#if]
      [#else]
      [#if !uart_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="UART"/>
      [#assign uart_hal=true]
      [/#if]
      [/#if]
    [/#if]
    [/#list]
  [#else]
      [#if !usart_ll]
      <require Cclass="Device" Cgroup="STM32Cube LL" Csub="USART"/>
      [#assign usart_ll=true]
      [/#if]
  [/#if]
[#elseif ip?starts_with("UCPD")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
    [#else]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="UCPD"/>
    [/#if]
[#elseif ip?starts_with("USB")]
  [#list peripheralParams.get(ip).entrySet() as paramEntry]
  [#if paramEntry.key?starts_with("VirtualMode")]
    [#if paramEntry.value?starts_with("Device")]
      [#if !usb_pcd_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="PCD"/>
      [#assign usb_pcd_hal=true]
      [/#if]
    [#elseif paramEntry.value?starts_with("Host")]
      [#if !usb_hcd_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="HCD"/>
      [#assign usb_hcd_hal=true]
      [/#if]
    [#else]
      [#if !usb_pcd_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="PCD"/>
      [#assign usb_pcd_hal=true]
      [/#if]
      [#if !usb_hcd_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="HCD"/>
      [#assign usb_hcd_hal=true]
      [/#if]
    [/#if]
  [/#if]
  [/#list]
[#elseif ip?starts_with("WWDG")]
    [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      [#if !wwdg_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="WWDG"/>
      [#assign wwdg_hal=true]
      [/#if]
    [/#if]
[#-- *** Ignored peripherals *** --]
[#elseif ip?starts_with("DEBUG")]
[#elseif ip?starts_with("IRTIM")]
[#elseif ip?starts_with("MEMORYMAP")]
[#elseif ip?starts_with("NVIC")]
[#elseif ip?starts_with("RF")]
[#elseif ip?starts_with("TAMP")]
[#elseif ip?starts_with("VREFBUF")]
[#-- *** Fall trough peripherals ***
 CRC, RNG, TSC, HASH, PKA
     *** --]
[#else]
      [#if peripheralParams.get(ip).get("driver") == ("HAL")]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="${(ip)}"/>
      [#else]
      <require Cclass="Device" Cgroup="STM32Cube LL"  Csub="${(ip)}"/>
      [/#if]
[/#if]
[/#if]
[#-- /#if --]
[/#if]
[/#if]
[/#list]
[/#list]
[/#list]
[#if timebase_tim == true]
  [#if !tim_hal]
      <require Cclass="Device" Cgroup="STM32Cube HAL" Csub="TIM"/>
      [#assign tim_hal=true]
  [/#if]
[/#if]
    </condition>
  </conditions>
  <components>
    <component generator="STM32CubeMX" Cvendor="Keil" Cclass="Device" Cgroup="STM32Cube Framework" Csub="STM32CubeMX" Cversion="2.0.0" condition="STCubeMX">
      <description>Configuration via STM32CubeMX</description>
      <RTE_Components_h>
        #define RTE_DEVICE_FRAMEWORK_CUBE_MX
      </RTE_Components_h>
      <files>
        <file category="header" name="MX_Device.h"/>
        <file category="header" name="Inc/stm32wbaxx_hal_conf.h"/>
        [#if peripheralParams.get("RCC")??]
          [#if peripheralParams.get("RCC").get("driver") == ("HAL")]
        <file category="source" name="Src/stm32wbaxx_hal_msp.c"/>
          [/#if]
        [/#if]
[#if timebase_tim == true]
        <file category="source" name="Src/stm32wbaxx_hal_timebase_tim.c"/>
[/#if]
      </files>
    </component>
  </components>
</package>
[/#list]
