---
pagetitle: Licensed Materials Terms for STM32CubeWBA
lang: en
header-includes: <link rel="icon" type="image/x-icon" href="_htmresc/favicon.png" />
---

::: {.row}
::: {.col-sm-12 .col-lg-3}

<center>
# These are full license terms for

# <mark>STM32CubeWBA</mark>

Copyright &copy;2022 STMicroelectronics

All rights reserved
    
[![ST logo](_htmresc/st_logo_2020.png)](https://www.st.com){.logo}
</center>
:::

::: {.col-sm-12 .col-lg-9}

## <mark>__OVERVIEW__</mark>
<div>

This Software Bill Of Material (SBOM) lists the software components of this
software package, including the copyright owner and license terms for each
component.

The full text of these licenses are below the SBOM.

__SOFTWARE BILL OF MATERIALS__

| Component                                                                      | Copyright                                                                                                                                                                                                                                                                                                                  | License
|---------                                                                       |---------                                                                                                                                                                                                                                                                                                                   |-------
| CMSIS                                                                          | Arm Limited                                                                                                                                                                                                                                                                                                                | [Apache-2.0](https://opensource.org/licenses/Apache-2.0)                                    
| STM32WBAxx CMSIS                                                               | Arm Limited - STMicroelectronics                                                                                                                                                                                                                                                                                           | [Apache-2.0](https://opensource.org/licenses/Apache-2.0)                                     
| STM32WBAxx_HAL_Driver                                                          | STMicroelectronics                                                                                                                                                                                                                                                                                                         | [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause)                                 
| BSP STM32WBAxx_Nucleo                                                          | STMicroelectronics                                                                                                                                                                                                                                                                                                         | [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause)                                 
| BSP STM32WBA55G-DK1                                                            | STMicroelectronics                                                                                                                                                                                                                                                                                                         | [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause)
| BSP Components                                                                 | STMicroelectronics                                                                                                                                                                                                                                                                                                         | [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause)                                 
| OpenBootloader                                                                 | STMicroelectronics                                                                                                                                                                                                                                                                                                         | [SLA](#collapse-section1)
| Azure RTOS ThreadX                                                             | Microsoft Corporation, RSA Data Security, Inc and The Internet Society                                                                                                                                                                                                                                                     | [ANNEX 2](#collapse-section2)  
| Azure RTOS NetXDuo                                                             | Microsoft Corporation, RSA Data Security, Inc and The Internet Society                                                                                                                                                                                                                                                     | [ANNEX 2](#collapse-section2)    
| Azure RTOS FileX                                                               | Microsoft Corporation, RSA Data Security, Inc and The Internet Society                                                                                                                                                                                                                                                     | [ANNEX 2](#collapse-section2)  
| Azure RTOS LeveLX                                                              | Microsoft Corporation, RSA Data Security, Inc and The Internet Society                                                                                                                                                                                                                                                     | [ANNEX 2](#collapse-section2)    
| Azure RTOS USBX                                                                | Microsoft Corporation, RSA Data Security, Inc and The Internet Society                                                                                                                                                                                                                                                     | [ANNEX 2](#collapse-section2)    
| CMSIS RTOS ThreadX                                                             | STMicroelectronics, Arm Limited                                                                                                                                                                                                                                                                                            | [SLA](#collapse-section1)
| mbed-crypto                                                                    | Arm Limited (or its affiliates)                                                                                                                                                                                                                                                                                            | [Apache-2.0](https://opensource.org/licenses/Apache-2.0)
| trustedfirmware                                                                | Arm Limited, Wind River Systems, Inc., Linaro Limited, Laurence Lundblade, The Linux Foundation, IETF Trust and the persons identified as the document authors                                                                                                                                                             | [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause)  
| mcuboot                                                                        | Linaro Limited, Arm Limited (or its affiliates), JUUL Labs, Nordic Semiconductor ASA, Cypress Semiconductor Corporation,  Runtime Inc, Open Source Foundries Limited,  Intel Corporation,  Wind River Systems, Inc., The Linux Foundation and its contributors,  the fiat-crypto authors, Chris Morrison,  Kenneth MacKay  | [Apache-2.0](https://opensource.org/licenses/Apache-2.0)   
| STM32_TouchSensing_Library                                                     | STMicroelectronics                                                                                                                                                                                                                                                                                                         | [SLA](#collapse-section1)                                                                                  
| STM32_Audio_PDM                                                                | STMicroelectronics                                                                                                                                                                                                                                                                                                         | [ANNEX 3](#collapse-section3)                                                                                  
| STM32WPAN (including Bluetooth Low Energy, Linklayer, MAC, OpenThread, Zigbee) | STMicroelectronics, Synopsys, Inc., The OpenThread Authors, Exegin Technologies Limited, Dr Brian Gladman                                                                                                                                                                                                                  | [SLA](#collapse-section1)                                                                                  
| Projects                                                                       | STMicroelectronics                                                                                                                                                                                                                                                                                                         | [SLA](#collapse-section1)
| Utilities                                                                      | STMicroelectronics                                                                                                                                                                                                                                                                                                         | [BSD-3-Clause](https://opensource.org/licenses/BSD-3-Clause)                                 

__Notes:__ If the license is an open source license, then you can access the
terms at [www.opensource.org](https://opensource.org/). Otherwise, the full
license terms are below. If a component is not listed in the SBOM, then the SLA
shall apply unless other terms are clearly stated in the package.

</div>

::: {.collapse}
<input type="checkbox" id="collapse-section1" checked aria-hidden="true">
<label for="collapse-section1" aria-hidden="true">__SLA – Software License Agreement__</label>
<div>

SLA0048 Rev4/March 2018

## Software license agreement

### __SOFTWARE PACKAGE LICENSE AGREEMENT__

BY INSTALLING COPYING, DOWNLOADING, ACCESSING OR OTHERWISE USING THIS SOFTWARE PACKAGE OR ANY
PART THEREOF (AND THE RELATED DOCUMENTATION) FROM STMICROELECTRONICS INTERNATIONAL N.V, SWISS
BRANCH AND/OR ITS AFFILIATED COMPANIES (STMICROELECTRONICS), THE RECIPIENT, ON BEHALF OF HIMSELF
OR HERSELF, OR ON BEHALF OF ANY ENTITY BY WHICH SUCH RECIPIENT IS EMPLOYED AND/OR ENGAGED
AGREES TO BE BOUND BY THIS SOFTWARE PACKAGE LICENSE AGREEMENT.

Under STMicroelectronics’ intellectual property rights and subject to applicable licensing terms for any third-party software
incorporated in this software package and applicable Open Source Terms (as defined here below), the redistribution,
reproduction and use in source and binary forms of the software package or any part thereof, with or without modification, are
permitted provided that the following conditions are met:

1. Redistribution of source code (modified or not) must retain any copyright notice, this list of conditions and the following
disclaimer.

2. Redistributions in binary form, except as embedded into microcontroller or microprocessor device manufactured by or for
STMicroelectronics or a software update for such device, must reproduce the above copyright notice, this list of conditions
and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of STMicroelectronics nor the names of other contributors to this software package may be used to
endorse or promote products derived from this software package or part thereof without specific written permission.

4. This software package or any part thereof, including modifications and/or derivative works of this software package, must
be used and execute solely and exclusively on or in combination with a microcontroller or a microprocessor devices
manufactured by or for STMicroelectronics.

5. No use, reproduction or redistribution of this software package partially or totally may be done in any manner that would
subject this software package to any Open Source Terms (as defined below).

6. Some portion of the software package may contain software subject to Open Source Terms (as defined below) applicable
for each such portion (“Open Source Software”), as further specified in the software package. Such Open Source Software
is supplied under the applicable Open Source Terms and is not subject to the terms and conditions of license hereunder.
“Open Source Terms” shall mean any open source license which requires as part of distribution of software that the source
code of such software is distributed therewith or otherwise made available, or open source license that substantially
complies with the Open Source definition specified at www.opensource.org and any other comparable open source license
such as for example GNU General Public License (GPL), Eclipse Public License (EPL), Apache Software License, BSD
license and MIT license.

7. This software package may also include third party software as expressly specified in the software package subject to
specific license terms from such third parties. Such third party software is supplied under such specific license terms and is
not subject to the terms and conditions of license hereunder. By installing copying, downloading, accessing or otherwise
using this software package, the recipient agrees to be bound by such license terms with regard to such third party
software.

8. STMicroelectronics has no obligation to provide any maintenance, support or updates for the software package.

9. The software package is and will remain the exclusive property of STMicroelectronics and its licensors. The recipient will
not take any action that jeopardizes STMicroelectronics and its licensors' proprietary rights or acquire any rights in the
software package, except the limited rights specified hereunder.

10. The recipient shall comply with all applicable laws and regulations affecting the use of the software package or any part
thereof including any applicable export control law or regulation.

11. Redistribution and use of this software package partially or any part thereof other than as permitted under this license is
void and will automatically terminate your rights under this license.

THIS SOFTWARE PACKAGE IS PROVIDED BY STMICROELECTRONICS AND CONTRIBUTORS "AS IS" AND ANY
EXPRESS, IMPLIED OR STATUTORY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT OF THIRD PARTY
INTELLECTUAL PROPERTY RIGHTS ARE DISCLAIMED TO THE FULLEST EXTENT PERMITTED BY LAW. IN NO EVENT
SHALL STMICROELECTRONICS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE PACKAGE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.

EXCEPT AS EXPRESSLY PERMITTED HEREUNDER AND SUBJECT TO THE APPLICABLE LICENSING TERMS FOR ANY
THIRD-PARTY SOFTWARE INCORPORATED IN THE SOFTWARE PACKAGE AND OPEN SOURCE TERMS AS
APPLICABLE, NO LICENSE OR OTHER RIGHTS, WHETHER EXPRESS OR IMPLIED, ARE GRANTED UNDER ANY
PATENT OR OTHER INTELLECTUAL PROPERTY RIGHTS OF STMICROELECTRONICS OR ANY THIRD PARTY.

</div>
:::

::: {.collapse}
<input type="checkbox" id="collapse-section2" checked aria-hidden="true">
<label for="collapse-section2" aria-hidden="true">__ANNEX 2 - MICROSOFT SOFTWARE LICENSE TERMS__</label>
<div>

MICROSOFT AZURE RTOS 

Shape 

These license terms are an agreement between you and Microsoft Corporation (or
one of its affiliates). They apply to the software named above and any Microsoft
services or software updates (except to the extent such services or updates are
accompanied by new or additional terms, in which case those different terms
apply prospectively and do not alter your or Microsoft’s rights relating to
pre-updated software or services). IF YOU COMPLY WITH THESE LICENSE TERMS, YOU
HAVE THE RIGHTS BELOW.  BY USING THE SOFTWARE, YOU ACCEPT THESE TERMS. 

1. INSTALLATION AND USE RIGHTS.  

a) General. You may install and use the software and the included Microsoft
applications solely for internal development, testing and evaluation purposes.
Any distribution or production use requires a separate license as set forth in
Section 2.  

b) Contributions. Microsoft welcomes contributions to this software. In the event
that you make a contribution to this software you will be required to agree to a
Contributor License Agreement (CLA) declaring that you have the right to, and
actually do, grant Microsoft the rights to use your contribution. For details,
visit https://cla.microsoft.com.  

c) Included Microsoft Applications. The software includes other Microsoft
applications which are governed by the licenses embedded in or made available
with those applications.  

d) Third Party Components. The software may include third party components with
separate legal notices or governed by other agreements, as may be described
within the software or in the ThirdPartyNotices file(s) accompanying the
software. 

e) Competitive Benchmarking. If you are a direct competitor, and you access or use
the software for purposes of competitive benchmarking, analysis, or intelligence
gathering, you waive as against Microsoft, its subsidiaries, and its affiliated
companies (including prospectively) any competitive use, access, and
benchmarking test restrictions in the terms governing your software to the
extent your terms of use are, or purport to be, more restrictive than
Microsoft’s terms. If you do not waive any such purported restrictions in the
terms governing your software, you are not allowed to access or use this
software, and will not do so. 

2. DISTRIBUTION AND PRODUCTION USE. If you have obtained and/or are developing on
microprocessor(s) and/or microcontroller(s) (“hardware”) listed in the file
named “LICENSED-HARDWARE.txt” included in the repository and/or distributed with
the software you have the following rights in and to the software solely when
used in combination with the hardware. In the event hardware is not listed in
the LICENSED-HARDWARE.txt file, you do not have the rights in this Section 2. 

a) Distribution and Production Use Rights.  

i. You may use the software in production (e.g. program the modified or unmodified
software to devices you own or control) and distribute (i.e. make available to
third parties) the modified or unmodified binary image produced from this code.


ii. You may permit your device distributors or developers to copy and distribute the
binary image as programmed or to be programmed to your devices. 

iii. You may redistribute the unmodified or modified source to your device
distributors or developers. Modifications must be clearly marked. Any
redistribution in source code form must contain this license and any other
licenses that accompany the software. 

b) Requirements. For any code you distribute, you must: 

i. when distributed in binary form, except as embedded in a device, include with
such distribution the terms of this agreement;  

ii. when distributed in source code form to distributors or developers of your
devices, include with such distribution the terms of this agreement; and 

iii. indemnify, defend and hold harmless Microsoft from  any claims, including
attorneys’ fees, related to the distribution or use of your devices, except to
the extent that any claim is based solely on the unmodified software. 

c) Restrictions. You may not: 

i. use or modify the software to create a competing real time operating system
software;  

ii. remove any copyright notices or licenses contained in the software; 

iii. use Microsoft’s trademarks or trade dress in your application in any way that
suggests your device or application comes from or is endorsed by Microsoft;  

iv. transfer individual components, specific libraries, classes, functions or code
fragments of the software separately for purposes unrelated to the software; or 

v. use or distribute the software in any way that would subject the software or
Microsoft’s intellectual property or technology to any other license terms. 

3. SCOPE OF LICENSE. The software is licensed, not sold. Microsoft reserves all
other rights. Unless applicable law gives you more rights despite this
limitation, you will not (and have no right to): 

a) remove, minimize, block, or modify any notices of Microsoft or its suppliers in
the software; 

b) use the software in any way that is against the law or to create or propagate
malware; or 

c) share, publish, distribute, or lease the software (except as permitted in
Section 2 above), or provide the software as a stand-alone offering for others
to use. 

4. DATA. This software may interact with other Microsoft products that collect data
that is transmitted to Microsoft. To learn more about how Microsoft processes
personal data we collect, please see the Microsoft Privacy Statement at
https://go.microsoft.com/fwlink/?LinkId=248681. 

5. EXPORT RESTRICTIONS. You must comply with all domestic and international export
laws and regulations that apply to the software, which include restrictions on
destinations, end users, and end use. For further information on export
restrictions, visit https://aka.ms/exporting. 

6. SUPPORT SERVICES. Microsoft is not obligated under this agreement to provide any
support services for the software. Any support provided is “as is”, “with all
faults”, and without warranty of any kind. 

7. UPDATES. Microsoft may periodically update the software. You may obtain updates
only from Microsoft or Microsoft-authorized sources. Updates may not include or
support all existing software features, services, or peripheral devices. 

8. TERMINATION. Without prejudice to any other rights, Microsoft may terminate this
agreement if you fail to comply with any of its terms or conditions. In such
event, you must destroy all copies of the software and all of its component
parts. 

9. ENTIRE AGREEMENT. This agreement, and any other terms Microsoft may provide for
supplements, updates, or third-party applications, is the entire agreement for
the software. To the extent you have entered into a separate agreement with
Microsoft relating specifically to the software, the terms in such agreement
shall control. 

10. APPLICABLE LAW AND PLACE TO RESOLVE DISPUTES. If you acquired the software in
the United States or Canada, the laws of the state or province where you live
(or, if a business, where your principal place of business is located) govern
the interpretation of this agreement, claims for its breach, and all other
claims (including consumer protection, unfair competition, and tort claims),
regardless of conflict of laws principles. If you acquired the software in any
other country, its laws apply. If U.S. federal jurisdiction exists, you and
Microsoft consent to exclusive jurisdiction and venue in the federal court in
King County, Washington for all disputes heard in court. If not, you and
Microsoft consent to exclusive jurisdiction and venue in the Superior Court of
King County, Washington for all disputes heard in court. 

11. CONSUMER RIGHTS; REGIONAL VARIATIONS. This agreement describes certain legal
rights. You may have other rights, including consumer rights, under the laws of
your state or country. Separate and apart from your relationship with Microsoft,
you may also have rights with respect to the party from which you acquired the
software. This agreement does not change those other rights if the laws of your
state or country do not permit it to do so. For example, if you acquired the
software in one of the below regions, or mandatory country law applies, then the
following provisions apply to you: 

a) Australia. You have statutory guarantees under the Australian Consumer Law and
nothing in this agreement is intended to affect those rights. 

b) Germany and Austria. 

i. Warranty. The properly licensed software will perform substantially as
described in any Microsoft materials that accompany the software. However,
Microsoft gives no contractual guarantee in relation to the licensed software. 

ii. Limitation of Liability. In case of intentional conduct, gross negligence,
claims based on the Product Liability Act, as well as, in case of death or
personal or physical injury, Microsoft is liable according to the statutory law.


Subject to the foregoing clause ii., Microsoft will only be liable for slight
negligence if Microsoft is in breach of such material contractual obligations,
the fulfillment of which facilitate the due performance of this agreement, the
breach of which would endanger the purpose of this agreement and the compliance
with which a party may constantly trust in (so-called "cardinal obligations").
In other cases of slight negligence, Microsoft will not be liable for slight
negligence. 

12. DISCLAIMER OF WARRANTY. THE SOFTWARE IS LICENSED “AS IS.” YOU BEAR THE RISK OF
USING IT. MICROSOFT GIVES NO EXPRESS WARRANTIES, GUARANTEES, OR CONDITIONS. TO
THE EXTENT PERMITTED UNDER APPLICABLE LAWS, MICROSOFT EXCLUDES ALL IMPLIED
WARRANTIES, INCLUDING MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
NON-INFRINGEMENT. 

13. LIMITATION ON AND EXCLUSION OF DAMAGES. IF YOU HAVE ANY BASIS FOR RECOVERING
DAMAGES DESPITE THE PRECEDING DISCLAIMER OF WARRANTY, YOU CAN RECOVER FROM
MICROSOFT AND ITS SUPPLIERS ONLY DIRECT DAMAGES UP TO U.S. $5.00. YOU CANNOT
RECOVER ANY OTHER DAMAGES, INCLUDING CONSEQUENTIAL, LOST PROFITS, SPECIAL,
INDIRECT, OR INCIDENTAL DAMAGES. 

This limitation applies to (a) anything related to the software, services,
content (including code) on third party Internet sites, or third party
applications; and (b) claims for breach of contract, warranty, guarantee, or
condition; strict liability, negligence, or other tort; or any other claim; in
each case to the extent permitted by applicable law. 

It also applies even if Microsoft knew or should have known about the
possibility of the damages. The above limitation or exclusion may not apply to
you because your state, province, or country may not allow the exclusion or
limitation of incidental, consequential, or other damages. 

 

Please note: As this software is distributed in Canada, some of the clauses in
this agreement are provided below in French. 

Remarque: Ce logiciel étant distribué au Canada, certaines des clauses dans ce
contrat sont fournies ci-dessous en français. 

EXONÉRATION DE GARANTIE. Le logiciel visé par une licence est offert « tel quel
». Toute utilisation de ce logiciel est à votre seule risque et péril. Microsoft
n’accorde aucune autre garantie expresse. Vous pouvez bénéficier de droits
additionnels en vertu du droit local sur la protection des consommateurs, que ce
contrat ne peut modifier. La ou elles sont permises par le droit locale, les
garanties implicites de qualité marchande, d’adéquation à un usage particulier
et d’absence de contrefaçon sont exclues. 

LIMITATION DES DOMMAGES-INTÉRÊTS ET EXCLUSION DE RESPONSABILITÉ POUR LES
DOMMAGES. Vous pouvez obtenir de Microsoft et de ses fournisseurs une
indemnisation en cas de dommages directs uniquement à hauteur de 5,00 $ US. Vous
ne pouvez prétendre à aucune indemnisation pour les autres dommages, y compris
les dommages spéciaux, indirects ou accessoires et pertes de bénéfices. 

Cette limitation concerne: 

•tout ce qui est relié au logiciel, aux services ou au contenu (y compris le
code) figurant sur des sites Internet tiers ou dans des programmes tiers; et 

•les réclamations au titre de violation de contrat ou de garantie, ou au titre
de responsabilité stricte, de négligence ou d’une autre faute dans la limite
autorisée par la loi en vigueur. 

Elle s’applique également, même si Microsoft connaissait ou devrait connaître
l’éventualité d’un tel dommage. Si votre pays n’autorise pas l’exclusion ou la
limitation de responsabilité pour les dommages indirects, accessoires ou de
quelque nature que ce soit, il se peut que la limitation ou l’exclusion
ci-dessus ne s’appliquera pas à votre égard. 

EFFET JURIDIQUE. Le présent contrat décrit certains droits juridiques. Vous
pourriez avoir d’autres droits prévus par les lois de votre pays. Le présent
contrat ne modifie pas les droits que vous confèrent les lois de votre pays si
celles-ci ne le permettent pas. 

</div>
:::

::: {.collapse}
<input type="checkbox" id="collapse-section3" checked aria-hidden="true">
<label for="collapse-section3" aria-hidden="true">__ANNEX 3 - SLA0047__</label>
<div>

SLA0047 Rev2/July 2020

## Software license agreement

### __SOFTWARE LICENSE AGREEMENT__

This is a legally enforceable contract (Agreement) between STMicroelectronics
International N.V., Swiss branch and/or its affiliated companies
(STMicroelectronics or ST) and you, on behalf of yourself, or on behalf of the
entity by which you are employed and/or engaged (You).

Please indicate Your acceptance of this contract by selecting “I ACCEPT” or
indicate Your rejection of this contract by selecting “I DO NOT ACCEPT” as
indicated below in the media,

AND/OR

BY INSTALLING COPYING, DOWNLOADING, ACCESSING OR OTHERWISE USING THIS LICENSED
SOFTWARE (INCLUDING WITHOUT LIMITATION ANY DOCUMENTATION AND OTHER PARTS
THEREOF) YOU AGREE TO BE BOUND BY THIS SOFTWARE LICENSE AGREEMENT.

__DEFINITIONS__

Licensed Software: means the software/firmware, examples, project template and
all the related documentation and design tools licensed and delivered in the
form of object and/or source code as the case may be.

Your Product: means Your and Your end-users’ product or system, and all the
related documentation, that includes or works in combination with an executable
version of the Licensed Software or derivative of the Licensed Software as
permitted in this Agreement and provided further that such Licensed Software or
derivative of the Licensed Software as permitted in this Agreement executes
solely and exclusively on microcontroller devices manufactured by or for ST.

__LICENSE__

STMicroelectronics grants You a non-exclusive, worldwide, non-transferable
(whether by assignment or otherwise unless expressly authorized by ST) non
sub-licensable, revocable, royalty-free limited license of the Licensed Software
to:

(i) use, make copies and prepare derivative works of Licensed Software that is
delivered by ST in source code format for the sole purpose of designing,
developing and manufacturing Your Products;

(ii) use, make copies and prepare derivative works (without reverse engineering)
of the Licensed Software that is delivered by ST in object code format for the
sole purpose of designing, developing and manufacturing Your Products;

(iii) make copies and prepare derivative works of the documentation part of the
Licensed Software for the sole purpose of providing documentation for Your
Products and their usage;

(iv) make, have made, import, export and otherwise distribute the Licensed
Software or derivative of the Licensed Software as permitted in this Agreement
solely in object code format, as incorporated in Your Products, or for execution
on Your Products, provided such distribution is subject to license terms as
protective of the Licensed Software and ST’s rights in the Licensed Software as
this Agreement (including without limitation a warranty disclaimer and a
limitation of liability as protective of ST as those contained in this
Agreement).

__OWNERSHIP AND COPYRIGHT__

Title to the Licensed Software, related documentation and all copies thereof
remain with ST and/or its licensors. You may not remove any copyright notice,
warranty disclaimer, or other proprietary notice from the Licensed Software or
from any permitted copies of the Licensed Software. You shall prevent any
unauthorized copying of the Licensed Software, including without limitation any
documentation parts.

__RESTRICTIONS__

Unless otherwise explicitly stated in this Agreement, You may not sell, assign,
sublicense, lease, rent or otherwise distribute the Licensed Software for
commercial purposes, in whole or in part.

You acknowledge and agree that any use, adaptation translation or transcription
of the Licensed Software or any portion or derivative thereof, for use with
processors manufactured by or for any entity other than ST is a material breach
of this Agreement.

You shall not decompile the object code of the Licensed Software or otherwise
reverse engineer the Licensed Software. You shall not use the Licensed Software
as a basis to create similar or competing software or products.

You shall comply with all applicable laws and regulations affecting the use of
the Licensed Software including any applicable export control law or regulation.

Neither the name nor any trademark of STMicroelectronics nor other contributors
to the Licensed Software may be used to endorse or promote software or products
derived from the Licensed Software (including any part thereof) without specific
written permission.

No use, reproduction or redistribution of this Licensed Software partially or
totally may be done in any manner that would subject this Licensed Software to
any Open Source Terms (as defined below).

__OPEN SOURCE SOFTWARE__

The Licensed Software may contain software subject to Open Source Terms (as
defined below) applicable for each such portion (Open Source Software), as
further specified in the Licensed Software. Such Open Source Software is
supplied under the applicable Open Source Terms and is not subject to the terms
and conditions of license hereunder. By installing copying, downloading,
accessing or otherwise using the Licensed Software, You agree to be bound by
such Open Source Terms with regard to such Open Source Software. Open Source
Terms: mean any open source license which requires as part of distribution of
software that the source code of such software is distributed therewith or
otherwise made available, or open source license that substantially complies
with the Open Source definition specified at www.opensource.org and any other
comparable open source license such as for example GNU General Public License
(GPL), Eclipse Public License (EPL), Apache Software License, BSD license and
MIT license.

__THIRD PARTY SOFTWARE__

Certain portions of the Licensed Software may be subject to third party license
terms as expressly specified in the Licensed Software. In such event, those
portions are supplied under the specified third party license terms and are not
subject to the license terms of this Agreement. By installing copying,
downloading, accessing or otherwise using the Licensed Software, You agree to be
bound by such third party license terms with regard to those portions.

__NO OTHER RIGHTS OR LICENSES__

No rights or licenses are granted to You, except as expressly stated in this
Agreement. Without limiting the generality of the foregoing, no rights or
licenses are granted in any products, technology or intellectual property rights
of ST except those embodied in the Licensed Software.

__NO WARRANTY__

The Licensed Software is provided “as is” and “with all faults” without warranty
of any kind expressed or implied. ST and its licensors expressly disclaim all
warranties, expressed, implied or otherwise, including without limitation,
warranties of merchantability, fitness for a particular purpose and
non-infringement of intellectual property rights. ST does not warrant that the
use in whole or in part of the Licensed Software will be interrupted or error
free, will meet Your requirements, or will operate with the combination of
hardware and software selected by You.

You are responsible for determining whether the Licensed Software will be
suitable for your intended use or application or will achieve your intended
results. ST will not be liable to You and/or to any third party for the
derivative works of the Licensed Software developed by You.

ST has not authorised anyone to make any representation or warranty for the
Licensed Software, and any technical, applications or design information or
advice, quality characterization, reliability data or other services provided by
ST shall not constitute any representation or warranty by ST or alter this
disclaimer or warranty, and no additional obligations or liabilities beyond
those explicitly stated in this Agreement shall arise from ST’s providing such
information or services. ST does not assume or authorize any other person to
assume for it any other liability in connection with the Licensed Software.

Nothing contained in this Agreement will be construed as:

(i) a warranty or representation by ST to maintain production of any ST device
or other hardware or software with which the Licensed Software may be used or to
otherwise maintain or support the Licensed Software in any manner; or

(ii) a commitment from ST and/or its licensors to bring or prosecute actions or
suits against third parties for infringement of any of the rights licensed
hereby, or conferring any rights to bring or prosecute actions or suits against
third parties for infringement. However, ST has the right to terminate this
Agreement immediately upon receiving notice of any claim, suit or proceeding
that alleges that the Licensed Software or Your use or distribution of the
Licensed Software infringes any third party intellectual property rights.

All other warranties, conditions or other terms implied by law are excluded to
the fullest extent permitted by law.

__LIMITATION OF LIABILITIES__

In no event shall ST or its licensors be liable to You or any third party for
any indirect, special, consequential, incidental, punitive damages or other
damages (including but not limited to, the cost of labor, re-qualification,
delay, loss of profits, loss of revenues, loss of data, costs of procurement of
substitute goods or services or the like) whether based on contract, tort, or
any other legal theory, relating to or in connection with the Licensed Software,
the documentation or this Agreement, even if ST has been advised of the
possibility of such damages.

In no event shall ST’s liability to You or any third party under this Agreement,
including any claim with respect of any third party intellectual property
rights, for any cause of action exceed 100 US$. This section does not apply to
the extent prohibited by law. For the purposes of this section, any liability of
ST shall be treated in the aggregate.

__TERMINATION__

ST may terminate this Agreement, including its licenses, at any time if You are
in material breach of any of its terms and conditions and You have failed to
cure such breach within 30 (thirty) days after receiving notification from ST of
such breach. Upon termination, You will immediately destroy or return all copies
of the Licensed Software (including without limitation any documentation) to ST.
After termination, Your sole surviving right will be to continue to use the
Licensed Software solely to the extent that it was already incorporated before
Your material breach of this Agreement into Your Products, which were sold by
You before the date of Your material breach.

__APPLICABLE LAW AND JURISDICTION__

This Agreement and matters connected with the validity, interpretation or
performance thereof shall be governed, construed, interpreted, and applied in
all respects by the law in place in Switzerland, without resort to conflict of
laws principles. The Parties expressly agree that the United Nations Convention
on Contracts for the International Sale of Goods shall not apply to this
Agreement or to their relationship.

Dispute Resolution. The Parties consent to exclusive jurisdiction in the court
of Canton of Geneva, Switzerland for purposes of any litigation arising from
this Agreement. For the avoidance of doubt, nothing in this section shall
prevent either Party seeking interim injunctive relief from a court or tribunal
of appropriate jurisdiction.

__SEVERABILITY__

If any provision of this agreement is or becomes, at any time or for any reason,
unenforceable or invalid, no other provision of this agreement shall be affected
thereby, and the remaining provisions of this agreement shall continue with the
same force and effect as if such unenforceable or invalid provisions had not
been inserted in this Agreement.

__WAIVER__

The failure or delay of either party to enforce any provision of this Agreement
shall not operate or be construed as a waiver of any other or a subsequent
breach of the same or a different provision.

__ASSIGNMENT__

This Agreement may not be assigned by You, nor any of Your rights or obligations
hereunder, to any third party without prior written consent of ST. In the event
that this Agreement is assigned effectively to a third party, this Agreement
shall bind upon successors and assigns of the parties hereto.

__RELATIONSHIP OF THE PARTIES__

Nothing in this Agreement shall create, or be deemed to create, a partnership or
the relationship of principal and agent or employer and employee between the
Parties. Neither Party has the authority or power to bind, to contract in the
name of or to create a liability for the other in any way or for any purpose.

</div>
:::

:::
:::